Szerző Téma: [Debian & Ubuntu]TrinityCore & SkyFire  (Megtekintve 13348 alkalommal)

Nem elérhető tony1994

  • Újonc
  • *
  • Hozzászólások: 9
Re:[Ubuntu & Debian] TrinityCore Telepítése
« Válasz #15 Dátum: 2011 Január 08, 03:16:57 pm »
Helló!

Nagyon jó a leírás , meg csináltam a szervert csak egy problémám van hogy ctrl+shift+t -val nem tudom háttérbe rakni a folyamatot és mivel másik gépről putty-al vagyok bejelentkezve így mikor azt bezárom a puttyot az egész meghal. Ebben tudtok nekem segíteni? Meg szükségem lenne egy kis programra ami egyből elindítja a wow szervert mikor felállt a szerveren a debian előre is köszi!

Nem elérhető Skyne

  • Cube Head
  • ******
  • Hozzászólások: 815
  • NeoCore Owner/Developer
Re:[Ubuntu & Debian] TrinityCore Telepítése
« Válasz #16 Dátum: 2011 Január 08, 03:24:16 pm »
a háttérben indításhoz szükséged lesz egy screen nevű programra (apt-get install screen) ezzel indítsd az emudat:

screen -A -m -d -S adjvalaminevetneki ./worldserver

screen -ls kilistáza a futó screeneket, screen -r screenid belép amegadott id-jű screenbe ctrl+a, d billsorozatta kilépsz a screenből anélkül hogy megszakadna  futása.

auto indításhoz pedig rc.d script: http://www.debian-administration.org/articles/28

Nem elérhető tony1994

  • Újonc
  • *
  • Hozzászólások: 9
Re:[Ubuntu & Debian] TrinityCore Telep
« Válasz #17 Dátum: 2011 Január 08, 05:04:17 pm »
K
« Utoljára szerkesztve: 2011 Január 08, 05:34:07 pm írta tony1994 »

Nem elérhető tony1994

  • Újonc
  • *
  • Hozzászólások: 9
Re:[Ubuntu & Debian] TrinityCore Telepítése
« Válasz #18 Dátum: 2011 Január 08, 06:56:18 pm »
Elkezdtem újra lefordítani ezt a hibát kaptam:
[ 17%] Building CXX object src/server/game/CMakeFiles/game.dir/Chat/Commands/Level3.cpp.o
/root/trinitycore/src/server/game/Chat/Commands/Level3.cpp: In member function ‘bool ChatHandler::HandleSendItemsCommand(const char*)’:
/root/trinitycore/src/server/game/Chat/Commands/Level3.cpp:4320: internal compiler error: Szegmens hiba
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.3/README.Bugs> for instructions.
make[2]: *** [src/server/game/CMakeFiles/game.dir/Chat/Commands/Level3.cpp.o] Error 1
make[1]: *** [src/server/game/CMakeFiles/game.dir/all] Error 2
make: *** [all] Error 2

Mi lehet a probléma?
« Utoljára szerkesztve: 2011 Január 09, 01:50:17 am írta tony1994 »

nastus

  • Vendég
Re:[Ubuntu & Debian] TrinityCore Telep
« Válasz #19 Dátum: 2011 Április 07, 09:21:19 pm »
Hibak
« Utoljára szerkesztve: 2011 Április 08, 07:24:27 pm írta nastus »

Nem elérhető kardosbalint

  • Újonc
  • *
  • Hozzászólások: 15
Re:[Debian & Ubuntu]TrinityCore & SkyFire
« Válasz #20 Dátum: 2011 Július 28, 06:46:09 pm »
Sziasztok!
Egy olyan típusú kérdésem lenne, hogy ebben a SkyFireDB melyik patchez jó? Esetleg 4.2?

flashike

  • Vendég
Re:[Debian & Ubuntu]TrinityCore & SkyFire
« Válasz #21 Dátum: 2012 Január 12, 04:23:17 pm »
Hali!

Én egy ilyen hibaüzenetet kapok:

-- Detected 32-bit platform
-- UNIX: Using default configuration directory
-- UNIX: Using default library directory
-- UNIX: Configuring uninstall target
-- UNIX: Created uninstall target
-- GCC: All warnings disabled
-- Found ACE library: /root/.sys/lib/libACE.so
-- Found ACE headers: /root/.sys/include
CMake Error at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:91 (MESSAGE):
  Could NOT find OpenSSL (missing: OPENSSL_LIBRARIES OPENSSL_INCLUDE_DIR)
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:252 (_FPHSA_FAILURE_MESSAGE)
  cmake/macros/FindOpenSSL.cmake:175 (find_package_handle_standard_args)
  CMakeLists.txt:49 (find_package)


-- Configuring incomplete, errors occurred!



Gondolom az OpenSSL-el van valami gond, elvileg fel telepítette az első lépéseknél. (Ubuntu 11.10 i386)

Nem elérhető AximCore

  • Haladó
  • ****
  • Hozzászólások: 271
    • AximCore
Re:[Debian & Ubuntu]TrinityCore & SkyFire
« Válasz #22 Dátum: 2012 Január 12, 07:08:53 pm »
Hali!

Én egy ilyen hibaüzenetet kapok:

-- Detected 32-bit platform
-- UNIX: Using default configuration directory
-- UNIX: Using default library directory
-- UNIX: Configuring uninstall target
-- UNIX: Created uninstall target
-- GCC: All warnings disabled
-- Found ACE library: /root/.sys/lib/libACE.so
-- Found ACE headers: /root/.sys/include
CMake Error at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:91 (MESSAGE):
  Could NOT find OpenSSL (missing: OPENSSL_LIBRARIES OPENSSL_INCLUDE_DIR)
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:252 (_FPHSA_FAILURE_MESSAGE)
  cmake/macros/FindOpenSSL.cmake:175 (find_package_handle_standard_args)
  CMakeLists.txt:49 (find_package)


-- Configuring incomplete, errors occurred!



Gondolom az OpenSSL-el van valami gond, elvileg fel telepítette az első lépéseknél. (Ubuntu 11.10 i386)

Ubuntu 10.10 óta nem kel Openssl frissítésével mivel elméletileg megfelelő verziót szállít már a repoin.

sudo apt-get install openssl libssl-dev <-- evvel fel telepíti reporól...
openssl version Ki írja a verzióját a OpenSSL-nek. Ha nagyobb vagy egyenlő ennél a verziónál: 0.9.8 akkor működnie kéne. Ha esetleg nem jönne össze akkor telepísd újra a openssl másik reporól:

wget ftp://ftp.debian.org/debian/pool/main/o/openssl/libssl-dev_0.9.8o-4squeeze4_i386.deb
wget ftp://ftp.debian.org/debian/pool/main/o/openssl/libssl0.9.8_0.9.8o-4squeeze4_i386.deb
wget ftp://ftp.debian.org/debian/pool/main/o/openssl/openssl_0.9.8o-4squeeze4_i386.deb
sudo dpkg -i libssl0.9.8_0.9.8o-4squeeze4_i386.deb
sudo dpkg -i openssl_0.9.8o-4squeeze4_i386.deb
sudo dpkg -i libssl-dev_0.9.8o-4squeeze4_i386.deb

Utána ezek se jönnének össze akkor a build fájlokat töröld és generáltasd le újra ritkán van amikor azért sír.
"Tanítani lehet az ostobát, de gondolkodásra bírni nem."
A Talmud

Windows Firewall
http://devopsreactions.tumblr.com/

Why use Windows, if you have open doors… to Linux

Nem elérhető tony1994

  • Újonc
  • *
  • Hozzászólások: 9
Re:[Debian & Ubuntu]TrinityCore & SkyFire
« Válasz #23 Dátum: 2012 Március 18, 05:16:55 pm »
Sziasztok!

Virtuális gépre szeretném telepíteni de ezt kapod mindig:
 
Mi lehet a probléma? Előre is köszi!

Nem elérhető lexyguru

  • Újonc
  • *
  • Hozzászólások: 8
Re:[Debian & Ubuntu]TrinityCore & SkyFire
« Válasz #24 Dátum: 2012 Augusztus 21, 03:09:25 pm »
Sziasztok!

Virtuális gépre szeretném telepíteni de ezt kapod mindig:
 
Mi lehet a probléma? Előre is köszi!

Helló sajnos én is ebbe a hibába ütköztem.
Én feltettem az Ubuntu 12.04
Sikeresen be konfiguráltam mindent, igaz én annyit módosítottam rajta hogy nem külön tettem fel a mysql-t hanem lampp-ot használtam mert abban benne van minden ami nekem kell!
Egész addig sikerült a dolog amíg nem kellet át fordítani

Próbáltam:

root:$ make
root:$ Sudo make install

de mindegyiknél ez a hiba volt, többször is meg próbáltam a git-ről le tölteni újra Cmake de semmi.
Mindig itt akadtam el, van erre valami megoldás?

Openssl verzió: openssl 1.0.1-4ubuntu3

Nem elérhető AximCore

  • Haladó
  • ****
  • Hozzászólások: 271
    • AximCore
Re:[Debian & Ubuntu]TrinityCore & SkyFire
« Válasz #25 Dátum: 2012 Augusztus 26, 07:51:29 pm »
Sziasztok!

Virtuális gépre szeretném telepíteni de ezt kapod mindig:
 
Mi lehet a probléma? Előre is köszi!

Helló sajnos én is ebbe a hibába ütköztem.
Én feltettem az Ubuntu 12.04
Sikeresen be konfiguráltam mindent, igaz én annyit módosítottam rajta hogy nem külön tettem fel a mysql-t hanem lampp-ot használtam mert abban benne van minden ami nekem kell!
Egész addig sikerült a dolog amíg nem kellet át fordítani

Próbáltam:

root:$ make
root:$ Sudo make install

de mindegyiknél ez a hiba volt, többször is meg próbáltam a git-ről le tölteni újra Cmake de semmi.
Mindig itt akadtam el, van erre valami megoldás?

Openssl verzió: openssl 1.0.1-4ubuntu3

Ezt a libet telepíteni kel :

sudo apt-get install libncurses5-dev
"Tanítani lehet az ostobát, de gondolkodásra bírni nem."
A Talmud

Windows Firewall
http://devopsreactions.tumblr.com/

Why use Windows, if you have open doors… to Linux

Nem elérhető AximCore

  • Haladó
  • ****
  • Hozzászólások: 271
    • AximCore
Re:[Debian & Ubuntu]TrinityCore & SkyFire
« Válasz #26 Dátum: 2012 Augusztus 26, 09:38:00 pm »
SkyFire-nél ha ilyen hibát észlelsz :

Idézet
[  2%] In file included from /home/aximcore/emu/sky/SkyFireEMU/dep/g3dlite/include/G3D/Random.h:17:0,
                 from /home/aximcore/emu/sky/SkyFireEMU/dep/g3dlite/include/G3D/Vector3.h:19,
                 from /home/aximcore/emu/sky/SkyFireEMU/dep/g3dlite/include/G3D/AABox.h:19,
                 from /home/aximcore/emu/sky/SkyFireEMU/dep/g3dlite/source/AABox.cpp:11:
/home/aximcore/emu/sky/SkyFireEMU/dep/g3dlite/include/G3D/GMutex.h: In member function ‘bool G3D::Spinlock::lock()’:
/home/aximcore/emu/sky/SkyFireEMU/dep/g3dlite/include/G3D/GMutex.h:51:25: error: ‘usleep’ was not declared in this scope

Akkor ezt a két patch fájlt leszeded : http://pastebin.com/Xy8jV9cs  http://pastebin.com/TgmLSPnh  és mondjuk "fix1.patch" és "fix2.patch" ként mented le a forrás mellé ( ami a leírást követve ~/core [ cd ~/core ] ). Utána a git apply parancsot használva forráshoz adod valahogy így :
cd ~/core
wget -O fix1.patch http://pastebin.com/raw.php?i=TgmLSPnh
wget -O fix2.patch http://pastebin.com/raw.php?i=Xy8jV9cs
git apply fix1.patch
git apply fix2.patch
"Tanítani lehet az ostobát, de gondolkodásra bírni nem."
A Talmud

Windows Firewall
http://devopsreactions.tumblr.com/

Why use Windows, if you have open doors… to Linux

Nem elérhető Tomika

  • Középhaladó
  • ***
  • Hozzászólások: 127
    • Immortals WoW
  • Op. Rendszer: Windows 7
Re:[Debian & Ubuntu]TrinityCore & SkyFire
« Válasz #27 Dátum: 2012 Október 07, 10:16:39 am »
sziasztok nem tudjátok mi lehet itt a baj? elinditom a authserver+worldserver felugrik az ablak és bezárja pedig jól be van irva a confba is hogy tudjon csatlakozni az adatbázisba.. mi lehet a baj?
« Utoljára szerkesztve: 2012 Október 07, 04:27:36 pm írta Tomika »

Nem elérhető AximCore

  • Haladó
  • ****
  • Hozzászólások: 271
    • AximCore
Re:[Debian & Ubuntu]TrinityCore & SkyFire
« Válasz #28 Dátum: 2012 November 11, 10:39:27 pm »
sziasztok nem tudjátok mi lehet itt a baj? elinditom a authserver+worldserver felugrik az ablak és bezárja pedig jól be van irva a confba is hogy tudjon csatlakozni az adatbázisba.. mi lehet a baj?
Mondjuk így a semmiből kitalálni elég nehéz.... Szóval a auth.log v. server.log többet mondana....
"Tanítani lehet az ostobát, de gondolkodásra bírni nem."
A Talmud

Windows Firewall
http://devopsreactions.tumblr.com/

Why use Windows, if you have open doors… to Linux

Nem elérhető AximCore

  • Haladó
  • ****
  • Hozzászólások: 271
    • AximCore
Re:[Debian & Ubuntu]TrinityCore & SkyFire
« Válasz #29 Dátum: 2012 November 11, 10:52:16 pm »
G3dlite hiba estén :

In file included from /home/trinity/TrinityCore/dep/g3dlite/include/G3D/Random.h:17:0,
                                 from /home/trinity/TrinityCore/dep/g3dlite/include/G3D/Vector3.h:19,
                                 from /home/trinity/TrinityCore/dep/g3dlite/include/G3D/AABox.h:19,
                                 from /home/trinity/TrinityCore/dep/g3dlite/source/AABox.cpp:11:
/home/trinity/TrinityCore/dep/g3dlite/include/G3D/GMutex.h: In member function ‘bool G3D::Spinlock::lock()’:
/home/trinity/TrinityCore/dep/g3dlite/include/G3D/GMutex.h:51:25: error: ‘usleep’ was not declared in this scope
compilation terminated due to -Wfatal-errors.
make[2]: *** [dep/g3dlite/CMakeFiles/g3dlib.dir/source/AABox.cpp.o] Error 1
make[1]: *** [dep/g3dlite/CMakeFiles/g3dlib.dir/all] Error 2
make: *** [all] Error 2

TrinityCore/dep/g3dlite/include/G3D/GMutex.h fájlba includeolni kel unistd.h-t :

Kód: (cpp) [Kijelölés]
#include <unistd.h>
"Tanítani lehet az ostobát, de gondolkodásra bírni nem."
A Talmud

Windows Firewall
http://devopsreactions.tumblr.com/

Why use Windows, if you have open doors… to Linux

 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30